> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.flockx.io/api-reference/agents/detail-agent/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flockx.io/_mcp/server. # Detail GET https://api.flockx.io/api/v1/agents/{id} Get details of an agent in your organization. Reference: https://docs.flockx.io/api-reference/agents/detail-agent ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `id` (string, required) ## Response ### 200 Successful Response - `id` (string, required) - `name` (string, required) - `description` (string, required) - `organization` (OrganizationSummarySchema, required, nullable) — Schema for the Organization - `images` (AgentImages, required) - `features` (AgentFeatures, required) - `personality` (string, optional, default: ) - `personal` (boolean, optional, nullable, default: false) — Is the agent a personal agent or a public agent. If personal is true the agent will not be listed on marketplaces, if it false then it will be. - `knowledge_graph` (KnowledgeGraphSummarySchema, optional, nullable) — Knowledge graph for the agent - `website` (AgentSchemaWebsite, optional) - `agent_capabilities` (string, optional, nullable) - `logic_model_temperature` (double, optional, default: 0.1) — Temperature for the logic model - `agent_address` (string, optional, nullable) - `agent_handle` (string, optional, nullable) — Agentverse handle for the agent (e.g. 'my-agent-handle' for @my-agent-handle.av) - `voice_id` (string, optional, default: jqcCZkN6Knx8BJ5TBdYR) — ElevenLabs voice ID used for TTS playback of this agent's responses. - `point_of_interest` (PointOfInterestSchema, optional, nullable) — Location information for the agent. - `category` (enum, optional, nullable) - Allowed values: `business_owner`, `co_founder`, `marketing`, `sales`, `operations`, `research`, `freelancer`, `influencers`, `gig_economy`, `companies`, `brands`, `community_leader`, `developer`, `education`, `personal`, `asi`, `solo_preneur`, `content_creator`, `consultant`, `tech_startup`, `agent_creator` - `interest_tags` (list of string, optional) - `meta_data` (map from string to any, optional) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### OrganizationSummarySchema Schema for the Organization - `id` (string, required) - `name` (string, required) - `owner` (UserSummarySchema, optional, nullable) — Summary of the organization owner's details - `application` (enum, optional, nullable) — Application this organization belongs to (e.g. asi_one, fetch_business). Clients use this to scope viewer-facing behavior, such as pairing an agent participant onto its owner's card only when the agent's organization matches the viewer's active application. - Allowed values: `flockx`, `asi_one`, `fetch_business`, `artprize`, `health`, `agentverse` ### AgentImages - `image_url` (AgentImagesImageUrl, optional) - `banner_url` (AgentImagesBannerUrl, optional) ### AgentFeatures - `discover_activity` (boolean, required) - `location_learning` (boolean, required) - `enable_proactive_message` (boolean, required) - `general_web_search` (boolean, required) - `general_agent_search` (boolean, required) - `planner_mode` (boolean, required) - `enable_media_capability` (boolean, required) - `telegram` (boolean, required) - `discord` (boolean, required) - `calendar_enabled` (boolean, required) - `whatsapp` (boolean, required) - `sms` (boolean, required) - `asi` (boolean, required) - `agentverse` (boolean, required) - `widget_enabled` (boolean, required) ### KnowledgeGraphSummarySchema - `id` (string, required) - `name` (string, required) ### AgentSchemaWebsite ### PointOfInterestSchema Schema for creating and updating Points of Interest in the system. - `name` (string, required) - `display_name` (string, required) - `provider_type` (string, required) - `street` (string, required) - `city` (string, required) - `state` (string, required) - `postal_code` (string, required) - `country` (string, required) - `id` (string, optional) - `description` (string, optional, default: ) - `external_id` (string, optional, nullable) - `location` (GeoPoint, optional, nullable) — Geographical location as a GeoJSON Point - `url` (string, optional, default: ) - `image_url` (string, optional, default: ) - `metadata` (map from string to any, optional) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### UserSummarySchema Summary schema for User with display name and image URL. Uses base class pattern - no custom from_django needed since: - display_name has default="" to handle empty values - image_url has default matching User.DEFAULT_IMAGE_URL - Both fields are simple attributes on the User model - `display_name` (string, optional, default: ) - `image_url` (string, optional, default: https://res.cloudinary.com/fetch-ai/image/upload/v1724200421/Default_Avatar_uk7jyj.svg) ### AgentImagesImageUrl ### AgentImagesBannerUrl ### GeoPoint - `type` (string, optional, default: Point) - `coordinates` (list of double, optional, nullable) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Response** ```json { "id": "foo", "name": "foo", "description": "foo", "organization": { "id": "foo", "name": "foo", "owner": { "display_name": "", "image_url": "https://res.cloudinary.com/fetch-ai/image/upload/v1724200421/Default_Avatar_uk7jyj.svg" }, "application": "flockx" }, "images": { "image_url": "foo", "banner_url": "foo" }, "features": { "discover_activity": true, "location_learning": true, "enable_proactive_message": true, "general_web_search": true, "general_agent_search": true, "planner_mode": true, "enable_media_capability": true, "telegram": true, "discord": true, "calendar_enabled": true, "whatsapp": true, "sms": true, "asi": true, "agentverse": true, "widget_enabled": true }, "personality": "", "personal": true, "knowledge_graph": { "id": "foo", "name": "foo" }, "website": "foo", "agent_capabilities": "foo", "logic_model_temperature": 0.1, "agent_address": "foo", "agent_handle": "foo", "voice_id": "jqcCZkN6Knx8BJ5TBdYR", "point_of_interest": { "name": "foo", "display_name": "foo", "provider_type": "foo", "street": "foo", "city": "foo", "state": "foo", "postal_code": "foo", "country": "foo", "id": "foo", "description": "", "external_id": "foo", "location": { "type": "Point", "coordinates": [ 42 ] }, "url": "", "image_url": "", "metadata": {} }, "category": "business_owner", "interest_tags": [ "foo" ], "meta_data": {} } ``` **SDK Code** ```python import requests url = "https://api.flockx.io/api/v1/agents/id" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.flockx.io/api/v1/agents/id'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.flockx.io/api/v1/agents/id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.flockx.io/api/v1/agents/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.flockx.io/api/v1/agents/id") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://api.flockx.io/api/v1/agents/id', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.flockx.io/api/v1/agents/id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.flockx.io/api/v1/agents/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```